Index: trunk/tests/ScriptTimerTest.php
===================================================================
--- trunk/tests/ScriptTimerTest.php	(revision 815)
+++ trunk/tests/ScriptTimerTest.php	(revision 1)
@@ -4,35 +4,14 @@
 
 /**
- * The Strangecode Codebase - a general application development framework for PHP
- * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2012 Strangecode, LLC
+ * PHPUnit test case for ScriptTimer
  * 
- * This file is part of The Strangecode Codebase.
- *
- * The Strangecode Codebase is free software: you can redistribute it and/or
- * modify it under the terms of the GNU General Public License as published by the
- * Free Software Foundation, either version 3 of the License, or (at your option)
- * any later version.
+ * The method skeletons below need to be filled in with 
+ * real data so that the tests will run correctly. Replace 
+ * all EXPECTED_VAL and PARAM strings with real data. 
  * 
- * The Strangecode Codebase is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
- * details.
- * 
- * You should have received a copy of the GNU General Public License along with
- * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
- */
-
-/**
- * PHPUnit test case for codebase/lib/ScriptTimer.inc.php
- *
- * The method skeletons below need to be filled in with
- * real data so that the tests will run correctly. Replace
- * all EXPECTED_VAL and PARAM strings with real data.
- *
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-
-class ScriptTimerTest extends PHPUnit_Framework_TestCase {
+require_once 'PHPUnit.php';
+class ScriptTimerTest extends PHPUnit_TestCase {
 
     var $ScriptTimer;
@@ -40,5 +19,5 @@
     function ScriptTimerTest($name)
     {
-        $this->PHPUnit_Framework_TestCase($name);
+        $this->PHPUnit_TestCase($name);
     }
 
@@ -77,2 +56,7 @@
 
 }
+// Running the test.
+$suite = new PHPUnit_TestSuite('ScriptTimerTest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
Index: trunk/tests/SessionCacheTest.php
===================================================================
--- trunk/tests/SessionCacheTest.php	(revision 1)
+++ trunk/tests/SessionCacheTest.php	(revision 1)
@@ -0,0 +1,90 @@
+<?php
+/// FIXME: Tests not implemented.
+return;
+
+/**
+ * PHPUnit test case for SessionCache
+ * 
+ * The method skeletons below need to be filled in with 
+ * real data so that the tests will run correctly. Replace 
+ * all EXPECTED_VAL and PARAM strings with real data. 
+ * 
+ * Created with PHPUnit_Skeleton on 2005-08-09
+ */
+require_once 'PHPUnit.php';
+class SessionCacheTest extends PHPUnit_TestCase {
+
+    var $SessionCache;
+
+    function SessionCacheTest($name)
+    {
+        $this->PHPUnit_TestCase($name);
+    }
+
+    function setUp()
+    {
+        require dirname(__FILE__) . '/_config.inc.php';
+        require_once '../lib/SessionCache.inc.php';
+        $this->SessionCache =& new SessionCache(PARAM);
+    }
+
+    function tearDown()
+    {
+        unset($this->SessionCache);
+    }
+
+    function test_getinstance()
+    {
+        $result = $this->SessionCache->getinstance(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_setparam()
+    {
+        $result = $this->SessionCache->setparam(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_getparam()
+    {
+        $result = $this->SessionCache->getparam(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_putcache()
+    {
+        $result = $this->SessionCache->putcache(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_getcache()
+    {
+        $result = $this->SessionCache->getcache(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_iscached()
+    {
+        $result = $this->SessionCache->iscached(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+    function test_breakcache()
+    {
+        $result = $this->SessionCache->breakcache(PARAM);
+        $expected = EXPECTED_VAL;
+        $this->assertEquals($expected, $result);
+    }
+
+}
+// Running the test.
+$suite = new PHPUnit_TestSuite('SessionCacheTest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
Index: trunk/tests/SortOrderTest.php
===================================================================
--- trunk/tests/SortOrderTest.php	(revision 815)
+++ trunk/tests/SortOrderTest.php	(revision 1)
@@ -4,35 +4,14 @@
 
 /**
- * The Strangecode Codebase - a general application development framework for PHP
- * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2012 Strangecode, LLC
+ * PHPUnit test case for SortOrder
  * 
- * This file is part of The Strangecode Codebase.
- *
- * The Strangecode Codebase is free software: you can redistribute it and/or
- * modify it under the terms of the GNU General Public License as published by the
- * Free Software Foundation, either version 3 of the License, or (at your option)
- * any later version.
+ * The method skeletons below need to be filled in with 
+ * real data so that the tests will run correctly. Replace 
+ * all EXPECTED_VAL and PARAM strings with real data. 
  * 
- * The Strangecode Codebase is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
- * details.
- * 
- * You should have received a copy of the GNU General Public License along with
- * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
- */
-
-/**
- * PHPUnit test case for codebase/lib/SortOrder.inc.php
- *
- * The method skeletons below need to be filled in with
- * real data so that the tests will run correctly. Replace
- * all EXPECTED_VAL and PARAM strings with real data.
- *
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-
-class SortOrderTest extends PHPUnit_Framework_TestCase {
+require_once 'PHPUnit.php';
+class SortOrderTest extends PHPUnit_TestCase {
 
     var $SortOrder;
@@ -40,5 +19,5 @@
     function SortOrderTest($name)
     {
-        $this->PHPUnit_Framework_TestCase($name);
+        $this->PHPUnit_TestCase($name);
     }
 
@@ -91,2 +70,7 @@
 
 }
+// Running the test.
+$suite = new PHPUnit_TestSuite('SortOrderTest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
Index: trunk/tests/SpellCheckTest.php
===================================================================
--- trunk/tests/SpellCheckTest.php	(revision 815)
+++ trunk/tests/SpellCheckTest.php	(revision 1)
@@ -4,35 +4,14 @@
 
 /**
- * The Strangecode Codebase - a general application development framework for PHP
- * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2012 Strangecode, LLC
+ * PHPUnit test case for SpellCheck
  * 
- * This file is part of The Strangecode Codebase.
- *
- * The Strangecode Codebase is free software: you can redistribute it and/or
- * modify it under the terms of the GNU General Public License as published by the
- * Free Software Foundation, either version 3 of the License, or (at your option)
- * any later version.
+ * The method skeletons below need to be filled in with 
+ * real data so that the tests will run correctly. Replace 
+ * all EXPECTED_VAL and PARAM strings with real data. 
  * 
- * The Strangecode Codebase is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
- * details.
- * 
- * You should have received a copy of the GNU General Public License along with
- * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
- */
-
-/**
- * PHPUnit test case for codebase/lib/SpellCheck.inc.php
- *
- * The method skeletons below need to be filled in with
- * real data so that the tests will run correctly. Replace
- * all EXPECTED_VAL and PARAM strings with real data.
- *
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-
-class SpellCheckTest extends PHPUnit_Framework_TestCase {
+require_once 'PHPUnit.php';
+class SpellCheckTest extends PHPUnit_TestCase {
 
     var $SpellCheck;
@@ -40,5 +19,5 @@
     function SpellCheckTest($name)
     {
-        $this->PHPUnit_Framework_TestCase($name);
+        $this->PHPUnit_TestCase($name);
     }
 
@@ -154,2 +133,7 @@
 
 }
+// Running the test.
+$suite = new PHPUnit_TestSuite('SpellCheckTest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
Index: trunk/tests/TemplateGlueTest.php
===================================================================
--- trunk/tests/TemplateGlueTest.php	(revision 815)
+++ trunk/tests/TemplateGlueTest.php	(revision 1)
@@ -4,35 +4,14 @@
 
 /**
- * The Strangecode Codebase - a general application development framework for PHP
- * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2012 Strangecode, LLC
+ * PHPUnit test case for TemplateGlue
  * 
- * This file is part of The Strangecode Codebase.
- *
- * The Strangecode Codebase is free software: you can redistribute it and/or
- * modify it under the terms of the GNU General Public License as published by the
- * Free Software Foundation, either version 3 of the License, or (at your option)
- * any later version.
+ * The method skeletons below need to be filled in with 
+ * real data so that the tests will run correctly. Replace 
+ * all EXPECTED_VAL and PARAM strings with real data. 
  * 
- * The Strangecode Codebase is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
- * details.
- * 
- * You should have received a copy of the GNU General Public License along with
- * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
- */
-
-/**
- * PHPUnit test case for codebase/lib/TemplateGlue.inc.php
- *
- * The method skeletons below need to be filled in with
- * real data so that the tests will run correctly. Replace
- * all EXPECTED_VAL and PARAM strings with real data.
- *
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-
-class TemplateGlueTest extends PHPUnit_Framework_TestCase {
+require_once 'PHPUnit.php';
+class TemplateGlueTest extends PHPUnit_TestCase {
 
     var $TemplateGlue;
@@ -40,5 +19,5 @@
     function TemplateGlueTest($name)
     {
-        $this->PHPUnit_Framework_TestCase($name);
+        $this->PHPUnit_TestCase($name);
     }
 
@@ -56,2 +35,7 @@
 
 }
+// Running the test.
+$suite = new PHPUnit_TestSuite('TemplateGlueTest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
Index: trunk/tests/UploadTest.php
===================================================================
--- trunk/tests/UploadTest.php	(revision 815)
+++ trunk/tests/UploadTest.php	(revision 1)
@@ -4,35 +4,14 @@
 
 /**
- * The Strangecode Codebase - a general application development framework for PHP
- * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2012 Strangecode, LLC
- *
- * This file is part of The Strangecode Codebase.
- *
- * The Strangecode Codebase is free software: you can redistribute it and/or
- * modify it under the terms of the GNU General Public License as published by the
- * Free Software Foundation, either version 3 of the License, or (at your option)
- * any later version.
- *
- * The Strangecode Codebase is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
- * details.
- *
- * You should have received a copy of the GNU General Public License along with
- * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
- */
-
-/**
- * PHPUnit test case for codebase/lib/Upload.inc.php
- *
- * The method skeletons below need to be filled in with
- * real data so that the tests will run correctly. Replace
- * all EXPECTED_VAL and PARAM strings with real data.
- *
+ * PHPUnit test case for Upload
+ * 
+ * The method skeletons below need to be filled in with 
+ * real data so that the tests will run correctly. Replace 
+ * all EXPECTED_VAL and PARAM strings with real data. 
+ * 
  * Created with PHPUnit_Skeleton on 2005-08-09
  */
-
-class UploadTest extends PHPUnit_Framework_TestCase {
+require_once 'PHPUnit.php';
+class UploadTest extends PHPUnit_TestCase {
 
     var $Upload;
@@ -40,5 +19,5 @@
     function UploadTest($name)
     {
-        $this->PHPUnit_Framework_TestCase($name);
+        $this->PHPUnit_TestCase($name);
     }
 
@@ -120,5 +99,5 @@
     function test_getfilenameextension()
     {
-        $result = $this->Upload::getfilenameextension(PARAM);
+        $result = $this->Upload->getfilenameextension(PARAM);
         $expected = EXPECTED_VAL;
         $this->assertEquals($expected, $result);
@@ -126,2 +105,7 @@
 
 }
+// Running the test.
+$suite = new PHPUnit_TestSuite('UploadTest');
+$result = PHPUnit::run($suite);
+echo $result->toString();
+?>
Index: trunk/tests/_config.inc.php
===================================================================
--- trunk/tests/_config.inc.php	(revision 815)
+++ trunk/tests/_config.inc.php	(revision 1)
@@ -1,34 +1,5 @@
 <?php
-/**
- * The Strangecode Codebase - a general application development framework for PHP
- * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2012 Strangecode, LLC
- *
- * This file is part of The Strangecode Codebase.
- *
- * The Strangecode Codebase is free software: you can redistribute it and/or
- * modify it under the terms of the GNU General Public License as published by the
- * Free Software Foundation, either version 3 of the License, or (at your option)
- * any later version.
- *
- * The Strangecode Codebase is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
- * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
- * details.
- *
- * You should have received a copy of the GNU General Public License along with
- * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
- */
-
-/*
-* Configuration for unit tests.
-*
-* @author   Quinn Comendant <quinn@strangecode.com>
-* @version  1.0
-*/
 require_once '../lib/App.inc.php';
-require_once '../lib/DB.inc.php';
-
-$app =& App::getInstance('testapp');
+$app =& App::getinstance('testapp');
 
 $app->setParam(array(
@@ -45,8 +16,8 @@
     'db_debug' => true,
     'db_die_on_failure' => true,
-    'db_server' => getenv('DB_SERVER'),
-    'db_name' => getenv('DB_NAME'),
-    'db_user' => getenv('DB_USER'),
-    'db_pass' => getenv('DB_PASS'),
+    'db_server' => 'localhost',
+    'db_name' => 'test',
+    'db_user' => 'root',
+    'db_pass' => 'haakm3',        
     'display_errors' => true,
     'db_always_debug' => false, // TRUE = display all SQL queries.
@@ -56,7 +27,9 @@
     'log_filename' => 'codebase_test_log',
     'log_file_priority' => LOG_DEBUG,
-    'log_screen_priority' => LOG_WARNING,
+    'log_screen_priority' => LOG_INFO,
     'error_reporting' => E_ALL,
 ));
 
 $app->start();
+
+?>
Index: trunk/tests/run_tests.sh
===================================================================
--- trunk/tests/run_tests.sh	(revision 815)
+++ trunk/tests/run_tests.sh	(revision 1)
@@ -1,44 +1,5 @@
-#!/bin/bash
-
-# This script sets-up the test environment and runs all tests.
-# You'll want to define your local mysql credentials for a test
-# database as environment variables, e.g., in ~/.bash_profile:
-#  export DB_NAME="test"
-#  export DB_USER="test"
-#  export DB_PASS="..."
-
-# Run an individual test like this:
-# ./tests/run_tests.sh /Users/q/src/codebase/trunk/tests/UtilitiesTest.php
-
-function err {
-    MSG="$1";
-    IFS='';
-    echo -e $MSG 1>&2
-    exit 1;
-}
-
-# Be in the directory with all the tests.
-cd `dirname $0`;
-
-# Get required ENV variables.
-if [[ -z "$DB_USER$DB_PASS$DB_NAME" ]]; then
-    echo "MySQL test DB credential environment variables are missing.\nSet these in ~/.bash_profile to avoid seeing these prompts each time.";
-fi
-for E in DB_SERVER DB_NAME DB_USER DB_PASS; do
-    while [[ -z ${!E} ]]; do
-        read -p "$E: " $E;
-    done
-    export $E;
-done
-
-# Create database.
-mysql -e "CREATE DATABASE IF NOT EXISTS \`${DB_NAME}\`" || err "Failed to create database '${DB_NAME}";
-
-# Go!
-echo "Running the tests!";
-echo "You'll want to 'tail -f /tmp/codebase_test_log' and watch for errors.";
-
-# Config options go in phpunit.xml
-# phpunit --tap | grep -v '^ok '
-../vendor/phpunit/phpunit/composer/bin/phpunit --stderr "$@" || err "\nSomething went wrong (code $?). If there is no output above, check the php_error_log";
-
+#!/bin/sh
+for foo in `dirname $0`/*Test.php; 
+do
+    php $foo;
+done;
Index: trunk/tests/skel.php
===================================================================
--- trunk/tests/skel.php	(revision 1)
+++ trunk/tests/skel.php	(revision 1)
@@ -0,0 +1,28 @@
+<?php
+require_once 'PHPUnit/Skeleton.php';
+
+$dir = dirname(__FILE__) . '/../lib';
+
+$dir_handle = opendir($dir);
+while ($dir_handle && ($file = readdir($dir_handle)) !== false) {
+    if (!preg_match('/^\./', $file) && is_file($dir . '/' . $file)) {
+        echo 'Proccessing ' . realpath($dir . '/' . $file) . "\n";
+        
+        preg_match('/([^\.]+)\..*$/i', $file, $match);
+        $classname = $match[1];
+
+        $ps = new PHPUnit_Skeleton($classname, '../lib/' . $file);
+        
+        // Generate the test class.
+        // Default settings will not include any parent class methods, but
+        // will include private methods.
+        $ps->createTestClass();
+        
+        // Write the new test class to file.
+        // By default, code to run the test will be included.
+        $ps->writeTestClass();
+
+    }
+}
+
+?>
